#if !defined(AFX_NUMEDIT_H__06431A62_AF03_11D3_9E40_8ABACA2A621D__INCLUDED_)
#define AFX_NUMEDIT_H__06431A62_AF03_11D3_9E40_8ABACA2A621D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// NumEdit.h : header file
//

#include <stdlib.h>

/////////////////////////////////////////////////////////////////////////////
// CNumEdit window

class CNumEdit : public CEdit
{
// Construction
public:
	CNumEdit();

// Attributes
public:
	//returns the current integer value in the edit control
	BOOL GetEditValue(int& def_val);
	
	BOOL GetEditFloatValue(float& val);

	//sets the value to the edit control
	void SetEditValue(int value);

	void SetEditFloatValue(float value);

	//set the numeric range for the edit control
	void SetRange(int lower_bound, int upper_bound);
	
	void SetFloatRange(float lower_bound, float upper_bound);

	//check for bounds and update the edit control and m_data 
	// with increment 
	BOOL UpdateEditValue(int increment);

	BOOL UpdateEditFloatValue(float increment);

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNumEdit)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CNumEdit();

	// Generated message map functions
protected:
	//{{AFX_MSG(CNumEdit)
	afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()

public:
	int	m_Lower;		//Lower bound
	int	m_Upper;		//Upper bound
	float m_dLower;
	float m_dUpper;
	BOOL floatSet;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NUMEDIT_H__06431A62_AF03_11D3_9E40_8ABACA2A621D__INCLUDED_)
