#if !defined(AFX_PREVIEWPIC_H__9AF3A040_B1B9_11D3_9E40_FA0D2F85BEAF__INCLUDED_)
#define AFX_PREVIEWPIC_H__9AF3A040_B1B9_11D3_9E40_FA0D2F85BEAF__INCLUDED_

#define HDIB HANDLE

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PreviewPic.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPreviewPic window

class CPreviewPic : public CButton
{
// Construction
public:
	CPreviewPic();

// Attributes
public:

	void DestroyDib();
	void SetEmptyColor();
	void SetColor(COLORREF color);
	void SetImage(HDIB hDib);
	void AddScanlineToDib(int row, unsigned char* pBuffer);
	int  Width() { return m_iWidth; }
	int  Height() { return m_iHeight;}

private:
	BOOL		m_DibAttached;
	HDIB		m_hDib;		//was HDIB
//	HDIB	    m_pOldBitmap;
	LPBYTE		m_lpBits;
	LPBITMAPINFOHEADER  m_lpBMIH;
	int			m_iWidth;
	int			m_iHeight;
//	CDC			m_dcMem;	//was HDC
	COLORREF	m_Color;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPreviewPic)
	public:
	virtual void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CPreviewPic();

	// Generated message map functions
protected:
	//{{AFX_MSG(CPreviewPic)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PREVIEWPIC_H__9AF3A040_B1B9_11D3_9E40_FA0D2F85BEAF__INCLUDED_)
