#if !defined(AFX_RTWINDOW_H__98861360_FA8E_11D3_9E40_FA872D4C9337__INCLUDED_)
#define AFX_RTWINDOW_H__98861360_FA8E_11D3_9E40_FA872D4C9337__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// RTWindow.h : header file
//

#include "RayTracer/include/Oort.h" //#include "ImageFile.h"

class CRayTrace3DDoc;
class CRayTrace3DView;

/////////////////////////////////////////////////////////////////////////////
// CRTWindow frame

class CRTWindow : public CFrameWnd
{
//	DECLARE_DYNCREATE(CRTWindow)
public:
	CRTWindow(int newWidth, int newHeight, CDocument* pDoc, CView* pView); // protected constructor used by dynamic creation
	virtual ~CRTWindow();
	
	ImageFile* GetImageFile() { return m_pImageFile; }
	void UpdateImage();
	BOOL ClosingTime(BOOL externInvoke);

// Attributes
protected:
	ImageFile* m_pImageFile;
	int m_WindWidth;
	int m_WindHeight;

	CRayTrace3DDoc* m_pDoc;
	CRayTrace3DView* m_pView;
	HDIB		m_hDib;
	LPBYTE		m_lpBits;
	LPBITMAPINFOHEADER  m_lpBMIH;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRTWindow)
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

protected:
	BOOL alreadySaved;

// Implementation
protected:
	BOOL SaveWindowImage();

	// Generated message map functions
	//{{AFX_MSG(CRTWindow)
	afx_msg void OnFileSave();
	afx_msg void OnFileSaveAs();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnFileClose();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnClose();
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RTWINDOW_H__98861360_FA8E_11D3_9E40_FA872D4C9337__INCLUDED_)
